Get a customer by ID
curl --request GET \
--url https://api.example.com/customers/{customerId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/customers/{customerId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "590ce6c56d04f840aa8438af",
"organizationId": "org-uuid",
"legalName": "Dunder Mifflin",
"taxId": "ABC101010111",
"taxSystem": "601",
"email": "email@example.com",
"defaultInvoiceUse": "G01",
"address": {
"street": "Blvd. Atardecer",
"exterior": "142",
"neighborhood": "Centro",
"city": "Huatabampo",
"municipality": "Huatabampo",
"zip": "86500",
"state": "Sonora",
"country": "MEX",
"interior": "4"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"phone": "6474010101"
}customers
Get a customer by ID
GET
/
customers
/
{customerId}
Get a customer by ID
Authorizations
apiKeybearer
API Key for authentication (format: sk_...)
Headers
Required for Supabase session auth. Ignored when authenticating with an API key (the organization resolves from the key).
Path Parameters
Response
Example:
"590ce6c56d04f840aa8438af"
Example:
"org-uuid"
Example:
"Dunder Mifflin"
Example:
"ABC101010111"
Example:
"601"
Example:
"email@example.com"
Example:
"G01"
Show child attributes
Show child attributes
Example:
"6474010101"